Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class ShapePeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.ShapePeer

public class ShapePeer
extends java.lang.Object

Constructor Summary
`ShapePeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `Append(int i, int j)`
`static int` | `CurveTo(int i, int j, int k, int l, int i1)`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `LineTo(int i, int j, int k)`
`static int` | `MoveTo(int i, int j, int k)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetCenter(int i, int j, int k)`
`static int` | `SetFillStyle(int i, int j, int k)`
`static int` | `SetLineStyle(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapePeer

    public ShapePeer()

Method Detail

### Append

    public static int Append(int i,
                             int j)

### CurveTo

    public static int CurveTo(int i,
                              int j,
                              int k,
                              int l,
                              int i1)

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### LineTo

    public static int LineTo(int i,
                             int j,
                             int k)

### MoveTo

    public static int MoveTo(int i,
                             int j,
                             int k)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetCenter

    public static int SetCenter(int i,
                                int j,
                                int k)

### SetFillStyle

    public static int SetFillStyle(int i,
                                   int j,
                                   int k)

### SetLineStyle

    public static int SetLineStyle(int i,
                                   int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD